Agora RTC Objective-C API Reference Refactor

Properties
AgoraTranscodingVideoStream Class Reference

Inherits <NSObject>.

## Properties
NSUInteger | remoteUserUid
AgoraVideoSourceType | sourceType
NSString *_Nullable | imageUrl
NSUInteger | mediaPlayerId
CGRect | rect
NSInteger | zOrder
double | alpha
BOOL | mirror

## Property Documentation

## ◆ remoteUserUid

- (NSUInteger) remoteUserUid
| read write nonatomic assign

The user ID of the remote user.

Note
  Use this parameter only when the source type is `AgoraVideoSourceTypeRemote` for local video mixing.

## ◆ sourceType

- (AgoraVideoSourceType) sourceType
| read write nonatomic assign

The video source type for local video mixing. See `AgoraVideoSourceType`.

## ◆ imageUrl

- (NSString* _Nullable) imageUrl
| read write nonatomic copy

The file path of local images. Examples:

- iOS: `/var/mobile/Containers/Data/Application/<APP-UUID>/Documents/image.png`
- macOS: `~/Pictures/image.png`
  Note
    Use this parameter only when the source type is the image for local video mixing.

## ◆ mediaPlayerId

- (NSUInteger) mediaPlayerId
| read write nonatomic assign

(Optional) Media player ID. Use the parameter only when you set `sourceType` to `AgoraVideoSourceTypeMediaPlayer`.

## ◆ rect

- (CGRect) rect
| read write nonatomic assign

The relative position and size of the video for local video mixing to the origin (the top left corner of the canvas). The data type is CGRect.

## ◆ zOrder

- (NSInteger) zOrder
| read write nonatomic assign

The number of the layer to which the video for the local video mixing belongs. The value range is [0, 100].

- 0: (Default) The layer is at the bottom.
- 100: The layer is at the top.

## ◆ alpha

- (double) alpha
| read write nonatomic assign

The transparency of the video for local video mixing. The value range is [0.0, 1.0]. 0.0 indicates that the video is completely transparent, and 1.0 indicates that it is opaque.

## ◆ mirror

- (BOOL) mirror
| read write nonatomic assign

Whether to mirror the video for the local video mixing.

- `YES`: Mirror the video for the local video mixing.
- `NO`: (Default) Do not mirror the video for the local video mixing.
  Note
    This parameter only takes effect on video source types that are cameras.